/* Copyright (c) 1994 Burra Gopal, Udi Manber.  All Rights Reserved. */

/* bgopal: used if search in compressed text files is not being performed */
/* Always say could not be compressed */
int
quick_tcompress();

/* Always say could not be uncompressed */
int
quick_tuncompress();

/* Always return uncompressible */
int
tuncompressible();

/* Always return uncompressible */
int
tuncompressible_filename();

/* Always return uncompressible */
int
tuncompressible_file();

/* Always return uncompressible */
int
tuncompressible_fp();

int
exists_tcompressed_word();

unsigned char *
forward_tcompressed_word(begin, end, delim, len, outtail, flags)
unsigned char *begin, *end, *delim;
int len, outtail, flags;
{
	return begin;
}

unsigned char *
backward_tcompressed_word(unsigned char *begin, unsigned char *end, unsigned char *delim, int len, int outtail, int flags);


int
tcompress_file();

int
tuncompress_file();

int
initialize_tcompress();

int
initialize_tuncompress();

int
initialize_common();

int
uninitialize_tuncompress();

int
compute_dictionary();

int
uninitialize_common();

int
uninitialize_tcompress();

int usemalloc = 0;

int
set_usemalloc();

int
unset_usemalloc();
